Bug 390401 - Selecting Discover Handbook from Help menu does not find anything on website
Summary: Selecting Discover Handbook from Help menu does not find anything on website
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.12.0
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-13 20:09 UTC by Andrew Crouthamel
Modified: 2018-02-22 17:29 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Crouthamel 2018-02-13 20:09:56 UTC
I was curious what selecting "Make Default" did in relation to Flatpak vs Neon sources in the Discover settings, and went to the Help menu item to find out. It opens a web browser to https://docs.kde.org/index.php?branch=stable5&language=en_US&application=discover&path=/ and it states "The application discover could not be found. Please check if you entered the name correctly, or use the navigation on the left to access the complete KDE User Documentation."
Comment 1 Øystein Steffensen-Alværvik 2018-02-16 15:13:12 UTC
I can confirm this on KDE Neon User 5.12.1 with the same result as Andrew. To be clear, this is about the feature in Settings → Help...→Discover Handbook (or Settings→press F1).
Discover does not seem to have a docs.kde.org entry. 

May I dare suggest that the link to the Handbook is removed from Discover Settings until a Discover handbook page has been created? Or maybe it will be sufficient to link to the Userbase entry instead; https://userbase.kde.org/Discover
Comment 2 Aleix Pol 2018-02-22 17:29:11 UTC
Git commit 4153dc99d2e9749fcfc0652575d9818171fb9f80 by Aleix Pol.
Committed on 22/02/2018 at 17:28.
Pushed by apol into branch 'Plasma/5.12'.

Remove handbook menu entry

There is no handbook

M  +0    -10   discover/DiscoverObject.cpp
M  +0    -1    discover/DiscoverObject.h
M  +0    -1    discover/qml/SourcesPage.qml

https://commits.kde.org/discover/4153dc99d2e9749fcfc0652575d9818171fb9f80